%define	module	imp
%define	name	horde-%{module}
%define version 4.0.3
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Horde webmail application
License:	GPL
Group:		System/Servers
Source0:	ftp://ftp.horde.org/pub/%{module}/%{module}-h3-%{version}.tar.bz2
Source1:	%{module}-horde.conf.bz2
Patch0:		%{module}-4.0.1-path.patch.bz2
URL:		http://www.horde.org/%{module}
Requires(post):	rpm-helper
Requires:	horde >= 3.0
Requires:	php-imap
Requires:	php-ldap
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

%prep
%setup -q -n %{module}-h3-%{version}
%patch

# fix perms
chmod 644 locale/da_DK/help.xml

# fix encoding
find . -type f | perl -ne 'chomp; print "$_\n" if -T $_' | xargs perl -pi -e 'tr/\r//d'

%build

%install
rm -rf %{buildroot}

# horde configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/horde/registry.d
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/horde/registry.d/%{module}.php

# remove .htaccess files
find . -name .htaccess -exec rm -f {} \;

# install files
install -d -m 755 %{buildroot}%{_var}/www/horde/%{module}
install -d -m 755 %{buildroot}%{_datadir}/horde/%{module}
install -d -m 755 %{buildroot}%{_sysconfdir}/horde
cp -pR *.php %{buildroot}%{_var}/www/horde/%{module}
cp -pR themes %{buildroot}%{_var}/www/horde/%{module}
cp -pR lib %{buildroot}%{_datadir}/horde/%{module}
cp -pR locale %{buildroot}%{_datadir}/horde/%{module}
cp -pR scripts %{buildroot}%{_datadir}/horde/%{module}
cp -pR templates %{buildroot}%{_datadir}/horde/%{module}
cp -pR config %{buildroot}%{_sysconfdir}/horde/%{module}

# use symlinks to recreate original structure
pushd %{buildroot}%{_var}/www/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
ln -s ../../../..%{_datadir}/horde/%{module}/lib .
ln -s ../../../..%{_datadir}/horde/%{module}/locale .
ln -s ../../../..%{_datadir}/horde/%{module}/templates .
popd
pushd %{buildroot}%{_datadir}/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
popd

# activate configuration files
for file in %{buildroot}%{_sysconfdir}/horde/%{module}/*.dist; do
	mv $file ${file%.dist}
done

# fix script shellbang
for file in `find %{buildroot}%{_datadir}/horde/%{module}/scripts`; do
	perl -pi -e 's|/usr/local/bin/php|/usr/bin/php|' $file
done

%clean
rm -rf %{buildroot}

%post
if [ $1 = 1 ]; then
	# configuration
	%create_ghostfile %{_sysconfdir}/horde/%{module}/conf.php apache apache 644
	%create_ghostfile %{_sysconfdir}/horde/%{module}/conf.php.bak apache apache 644
fi

%files
%defattr(-,root,root)
%doc README COPYING docs
%config(noreplace) %{_sysconfdir}/horde/registry.d/%{module}.php
%config(noreplace) %{_sysconfdir}/horde/%{module}
%{_datadir}/horde/%{module}
%{_var}/www/horde/%{module}

%changelog
* Thu Jun 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.0.3-2mdk 
- better fix encoding
- fix requires

* Sat Apr 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 4.0.3-1mdk
- New release 4.0.3

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.0.1-4mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Thu Jan 27 2005 Guillaume Rousse <guillomovitch@mandrake.org> 4.0.1-3mdk 
- no automatic config generation, incorrect default values
- horde isn't a prereq
- spec cleanup

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 4.0.1-2mdk 
- fix inclusion path
- fix configuration perms
- generate configuration at postinstall
- horde and rpm-helper are now a prereq

* Fri Jan 14 2005 Guillaume Rousse <guillomovitch@mandrake.org> 4.0.1-1mdk 
- new version
- top-level is now %{_var}/www/horde/%{module}
- config is now in %{_sysconfdir}/horde/%{module}
- other non-accessible files are now in %{_datadir}/horde/%{module}
- drop safemode build
- drop old obsoletes
- drop all patches
- no more apache configuration
- rpmbuildupdate aware
- spec cleanup

* Tue Sep 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.5-3mdk 
- remove post-installation configuration: assuming a local mail server is used is wrong

* Mon Aug 16 2004 Pascal Cavy <pascal@vmfacility.fr> 3.2.5-2mdk
- fix typo in %%post #10815

* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.5-1mdk 
- new version

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.4-2mdk 
- apache config file in %{_sysconfdir}/httpd/webapps.d

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.4-1mdk 
- new version
- rpmbuildupdate aware

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.3-2mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{_sysconfdir}/httpd/conf.d/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package
- remove redundant requires, as horde already requires them

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.3-1mdk
- new version

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 3.2.2-3mdk
- untagged localisation files
- no more .htaccess files, use %{_sysconfdir}/httpd/conf.d/%{order}_%{module}.conf instead
- scripts now in  %{_datadir}/{name}

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 3.2.2-2mdk
- changed name to imp, old version doesn't exist anymore
- requires horde, not horde2
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 3.2.2-1mdk
- 3.2.2
- speac cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- drop ugly configuration scripts, perl rulez
- fixed URL
- removed implicit dependencies

* Tue Jul 29 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2.1-2mdk
- Don't use 'Mail/' as folder prefix.

* Fri Jun 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2.1-1mdk
- Release 3.2.1.

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1-3mdk
- re-add update-maildomain.sh to the post scripts (thanks David Walser)

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1-2mdk
- new macros from ADVX-build

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 3.1 final
	- Regenerate prefs patch

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.3mdk
- Add script to update maildomain to hostname
  (so mails sent from imp have the right From: address)

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.2mdk
- Fix thinko in Patch0

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.1mdk
- Regenerate patches

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-2mdk
- Added config patches.

* Sun Mar 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-1mdk
- 3.0.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 3.0 release 1

* Mon Oct 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-7mdk
- fixed a bug in postconf.php3 causing warnings messages during password
  changes.

* Thu Sep 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-6mdk
- replaced pg_connect to pg_pconnect in lib/db.pgsql, to avoid the
  warning "...is not a valid PostgreSQL link...".

* Tue Sep 11 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-5mdk
- fix mod_php prereq

* Tue Sep 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-4mdk
- modified config files for poppassd support.

* Mon Sep 03 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-3mdk
- fix post-install script.
- Require Apache, php-ldap.

* Wed Aug 29 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-2mdk
- fix httpd.conf entry.

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.6-1mdk
- updated to 2.2.6.

* Sat Feb 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.4-1mdk
- initial mandrake release.

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.4 release 1rh7.
